RSTT 3.2.1 Regional Seismic Travel Time

Loading...
Searching...
No Matches
slbm::SlbmInterfaceToJNI Class Reference

Adds functionality to SlbmInterface to support the Java Native Interface (JNI). The JNI allows libSLBM to be accessed using programs written in the Java programing language. More...

`#include <SlbmInterfaceToJNI.h>`

Inheritance diagram for slbm::SlbmInterfaceToJNI:

## Public Member Functions
| SlbmInterfaceToJNI ()
| Default constructor.
| SlbmInterfaceToJNI (const double &earthRadius)
| ~SlbmInterfaceToJNI ()
| Destructor.
string | getPhase ()
void | accessGridProfile (const int &nodeId)
void | deleteGridProfile ()
double | getGridLat ()
double | getGridLon ()
void | getGridDepth (vector< double > &depths)
void | getGridVelocity (const int &waveType, double *velocity)
void | getGridGradient (double *gradient)
void | createQueryProfile (const double &lat, const double &lon)
void | deleteQueryProfile ()
int | getQueryNCoefficients ()
vector< int > & | getQueryNodeId ()
vector< double > & | getQueryCoefficient ()
double * | getQueryDepth ()
double * | getQueryVelocity (const int &waveType)
double * | getQueryGradient ()
void | computeWeights ()
void | computeWeightsSource ()
void | computeWeightsReceiver ()
void | deleteWeights ()
const vector< int > & | getWeightNodes ()
const vector< double > & | getWeights ()
string | getGreatCirclePhase ()
double | getActualPathIncrement ()
void | getGreatCircleNeighbors (const int &i, int *nodeIds, int &size)
void | getGreatCircleCoefficients (const int &i, double *coeff, int &size)
void | getGreatCircleSourceDepth (double *depths, int &n)
void | getGreatCircleReceiverDepth (double *depths, int &n)
double * | getGreatCircleSourceVelocity (int &n)
double * | getGreatCircleReceiverVelocity (int &n)
void | getGreatCircleHeadwaveVelocity (vector< double > &velocities)
void | getGreatCircleHeadwaveGradient (vector< double > &gradients)
void | computeGreatCirclePoints (const double &aLat, const double &aLon, const double &bLat, const double &bLon, const int &npoints, const bool &onCenters)
void | computeGreatCircleLocations ()
void | deleteGreatCirclePoints ()
const vector< double > & | getGreatCirclePointsLat ()
const vector< double > & | getGreatCirclePointsLon ()
const vector< double > & | getGreatCirclePointsDepth ()
int | getNGridNodes ()
int | getNHeadWavePoints ()
void | accessGridNodeNeighbors (int nid)
Public Member Functions inherited from slbm::SlbmInterface
| SlbmInterface ()
| Default constructor. Instantiates an SlbmInterface object based on an ellipsoidal earth.
| SlbmInterface (const double &earthRadius)
| Parameterized constructor. Instantiates an SlbmInterface object that is only partly based on an ellipsoidal earth.
virtual | ~SlbmInterface ()
| Copy constructor.
bool | isEqual (SlbmInterface *other)
| Check if the model and/or greatCircle attached to the current SlbmInterface is equal that in another SlbmInterface.
bool | operator== (SlbmInterface &other)
bool | operator!= (SlbmInterface &other)
string | getVersion ()
| Retrieve the SLBM Version number.
void | loadVelocityModel (const string &modelPath)
| Load the velocity model into memory from the specified file or directory. This method automatically determines the format of the model.
void | saveVelocityModel (const string &modelFileName, const int &format=4)
| Save the velocity model currently in memory to the specified file.
int | getBufferSize () const
| Returns the size of a DataBuffer object required to store this SLBMInterface objects model data.
void | setInterpolatorType (const string &interpolatorType)
| Specify the interpolation type to use, either 'linear' or 'natural_neighbor'.
string | getInterpolatorType ()
| Retrieve the type of interpolator currently in use; either "LINEAR" or "NATUTAL_NEIGHBOR".
void | createGreatCircle (const string &phase, const double &sourceLat, const double &sourceLon, const double &sourceDepth, const double &receiverLat, const double &receiverLon, const double &receiverDepth)
| Instantiate a new GreatCircle object between two locations.
void | createGreatCircle (const int &phase, const double &sourceLat, const double &sourceLon, const double &sourceDepth, const double &receiverLat, const double &receiverLon, const double &receiverDepth)
| Instantiate a new GreatCircle object between two locations.
void | clear ()
| Delete the current GreatCircle object from memory and clear the pool of stored CrustalProfile objects. The model Grid is not deleted and remains accessible.
bool | isValid ()
| Returns true if the current GreatCirlce object has been instantiated and is ready to be interrogated.
string | getPhase ()
| Retrieve the phase specified in last call to createGreatCircle().
void | getDistance (double &distance)
| Retrieve the source-receiver separation, in radians.
double | getDistance ()
| Retrieve the source-receiver separation, in radians.
void | getSourceDistance (double &dist)
| Retrieve horizontal offset below the source, in radians.
double | getSourceDistance ()
void | getReceiverDistance (double &dist)
| Retrieve horizontal offset below the receiver, in radians.
double | getReceiverDistance ()
void | getHeadwaveDistance (double &dist)
| Retrieve angular distance traveled by the ray below the headwave interface, in radians.
double | getHeadwaveDistance ()
void | getHeadwaveDistanceKm (double &dist)
| Retrieve horizontal distance traveled by the ray below the headwave interface, in radians.
double | getHeadwaveDistanceKm ()
void | getTravelTime (double &travelTime)
| Retrieve the total travel time for the GreatCircle, in seconds.
double | getTravelTime ()
void | getTravelTimeComponents (double &tTotal, double &tSource, double &tReceiver, double &tHeadwave, double &tGradient)
| Retrieve the total travel time and the 4 components that contribute to it for the current GreatCircle.
void | getSlowness (double &slowness)
| Retrieve the horizontal slowness, i.e., the derivative of travel time wrt to receiver-source distance, in seconds/radian.
double | getSlowness ()
void | get_dtt_ddist (double &slowness)
| Retrieve the horizontal slowness, i.e., the derivative of travel time wrt to receiver-source distance, in seconds/radian.
double | get_dtt_ddist ()
void | get_dtt_dlat (double &dtt_dlat)
| Retrieve the derivative of travel time wrt to source latitude, in seconds/radian.
double | get_dtt_dlat ()
void | get_dtt_dlon (double &dtt_dlon)
| Retrieve the derivative of travel time wrt to source longitude, in seconds/radian.
double | get_dtt_dlon ()
void | get_dtt_ddepth (double &dtt_ddepth)
| Retrieve the derivative of travel time wrt to source depth, in seconds/km.
double | get_dtt_ddepth ()
void | getWeights (int nodeId[], double weight[], int &nWeights)
| Retrieve the weight assigned to each grid node that was touched by the GreatCircle.
void | getActiveNodeWeights (int nodeId[], double weight[], int &nWeights)
| Retrieve the weight assigned to each active node that was touched by the GreatCircle.
void | getWeights (vector< int > &nodeId, vector< double > &weight)
| Retrieve the weight assigned to each grid node that was touched by the GreatCircle.
void | getActiveNodeWeights (vector< int > &nodeId, vector< double > &weight)
| Retrieve the weight assigned to each active node that was touched by the GreatCircle.
void | getWeightsSource (int nodeids[], double weights[], int &nWeights)
| Retrieve the node IDs and the interpolation coefficients for the source CrustalProfile.
void | getWeightsSource (vector< int > &nodeids, vector< double > &weights)
void | getActiveNodeWeightsSource (int nodeids[], double weights[], int &nWeights)
| Retrieve the active node IDs and the interpolation coefficients for the source CrustalProfile.
void | getActiveNodeWeightsSource (vector< int > &nodeids, vector< double > &weights)
void | getWeightsReceiver (int nodeids[], double weights[], int &nWeights)
| Retrieve the node IDs and the interpolation coefficients for the receiver CrustalProfile. For linear interpolation, nWeights will equal 3 but for natural neighbor interpolation nWeights will be variable but less than 10. The sum of the weights will equal 1.
void | getWeightsReceiver (vector< int > &nodeids, vector< double > &weights)
void | getActiveNodeWeightsReceiver (int nodeids[], double weights[], int &nWeights)
| Retrieve the active node IDs and the interpolation coefficients for the receiver CrustalProfile. For linear interpolation, nWeights will equal 3 but for natural neighbor interpolation nWeights will be variable but less than 10. The sum of the weights will equal 1.
void | getActiveNodeWeightsReceiver (vector< int > &nodeids, vector< double > &weights)
string | toString (const int &verbosity)
| Returns a human-readable string representation of the GreatCircle object.
void | getNGridNodes (int &n)
| Retrieve the number of Grid nodes in the Earth model.
int | getNGridNodes ()
| Retrieve the number of Grid nodes in the Earth model.
void | getNHeadWavePoints (int &nHeadWavePoints)
| Retrieve the number of LayerProfile objects positioned along the head wave interface.
int | getNHeadWavePoints ()
void | getGridData (const int &nodeId, double &latitude, double &longitude, double depth[NLAYERS], double pvelocity[NLAYERS], double svelocity[NLAYERS], double gradient[2])
| Retrieve the lat (radians), lon (radians), interface depths (km), P and S wave interval velocities (km/sec) and P and S mantle gradient (1/sec) information associated with a specified node in the velocity grid.
void | getActiveNodeData (const int &nodeId, double &latitude, double &longitude, double depth[NLAYERS], double pvelocity[NLAYERS], double svelocity[NLAYERS], double gradient[2])
| Retrieve the lat (radians), lon (radians), interface depths (km), P and S wave interval velocities (km/sec) and P and S mantle gradient (1/sec) information associated with a specified active node in the velocity grid.
void | setGridData (const int &nodeId, double depths[NLAYERS], double pvelocity[NLAYERS], double svelocity[NLAYERS], double gradient[2])
| Modify the velocity and gradient information associated with a specified node in the Grid.
void | setActiveNodeData (const int &nodeId, double depths[NLAYERS], double pvelocity[NLAYERS], double svelocity[NLAYERS], double gradient[2])
| Modify the depth, velocity and gradient information associated with a specified active node in the Grid.
void | getGreatCircleData (string &phase, double &actual_path_increment, double sourceDepth[NLAYERS], double sourceVelocity[NLAYERS], double receiverDepth[NLAYERS], double receiverVelocity[NLAYERS], int &npoints, double headWaveVelocity[], double gradient[])
| Retrieve information about the great circle path including the interface depths at source and receiver, the velocity profiles at the source and receiver, and mantle velocity and velocity gradient at points along the great circle path from source pierce point to receiver pierce point.
void | getGreatCircleData (string &phase, double &actual_path_increment, vector< double > &sourceDepth, vector< double > &sourceVelocity, vector< double > &receiverDepth, vector< double > &receiverVelocity, int &npoints, vector< double > &headWaveVelocity, vector< double > &gradient)
void | getGreatCircleLocations (double lat[], double lon[], double depth[], int &npoints)
| Retrieve the latitudes, longitudes and depths of all the profile positions along the headwave interface.
void | getGreatCircleLocations (vector< double > &lat, vector< double > &lon, vector< double > &depth)
void | getGreatCircleNodeInfo (int **neighbors, double **coefficients, const int &maxpoints, const int &maxnodes, int &npoints, int *nnodes)
| Retrieve information about the interpolated points along the headwave path, including the number of points, the indexes of the grid nodes that contributed to interpolation of values at the points, and the interpolation coefficients used to calculate values at the points.
void | getGreatCircleNodeInfo (vector< vector< int > > &neighbors, vector< vector< double > > &coefficients)
void | getInterpolatedPoint (const double &lat, const double &lon, int *nodeIds, double *coefficients, int &nWeights, double depth[NLAYERS], double pvelocity[NLAYERS], double svelocity[NLAYERS], double &pgradient, double &sgradient)
| Retrieve interpolated data from the earth model at a single specified latitude, longitude.
void | getInterpolatedPoint (const double &lat, const double &lon, vector< int > &nodeId, vector< double > &coefficients, vector< double > &depth, vector< double > &pvelocity, vector< double > &svelocity, double &pgradient, double &sgradient)
| Retrieve interpolated data from the earth model at a single specified latitude, longitude.
void | getInterpolatedTransect (double lat[], double lon[], const int &nLatLon, int **neighbors, double **coefficients, int *nNeighbors, double depth[][NLAYERS], double pvelocity[][NLAYERS], double svelocity[][NLAYERS], double pgradient[NLAYERS], double sgradient[NLAYERS], int &nInvalid)
| Retrieve interpolated data from the earth model along a transect defined by equal sized, 1 dimensional arrays of latitude and longitude.
void | getInterpolatedTransect (vector< double > lat, vector< double > lon, vector< vector< int > > &nodeId, vector< vector< double > > &coefficients, vector< vector< double > > &depth, vector< vector< double > > &pvelocity, vector< vector< double > > &svelocity, vector< double > &pgradient, vector< double > &sgradient, int &nInvalid)
| Retrieve interpolated data from the earth model along a transect defined by equal sized, 1 dimensional arrays of latitude and longitude.
void | initializeActiveNodes (const double &latmin, const double &lonmin, const double &latmax, const double &lonmax)
| Specify the latitude and longitude range in radians for active nodes.
void | initializeActiveNodes (const string &polygonFileName)
| Specify the name of a file that contains a list of points that define a polygon that enclose the set of grid nodes that are to be considered active nodes.
void | initializeActiveNodes (GeoTessPolygon *polygon)
| Specify a polygon that enclose the set of grid nodes that are to be considered active nodes.
void | initializeActiveNodes (double *lat, double *lon, const int &npoints, const bool &inDegrees=true)
| Specify a list of points that define a polygon that encloses the set of grid nodes that are to be considered active nodes.
void | initializeActiveNodes (const vector< double > lat, const vector< double > lon, const bool &inDegrees=true)
| Specify a list of points that define a polygon that encloses the set of grid nodes that are to be considered active nodes.
void | initializeActiveNodes (vector< double * > &unitVectors)
| Specify a list of points that define a polygon that encloses the set of grid nodes that are to be considered active nodes.
int | getNActiveNodes ()
| Retrieve the number of active nodes in the Grid.
void | clearActiveNodes ()
| Clear all active nodes. Clear all active nodes.
int | getGridNodeId (int activeNodeId)
| Retrieve the grid node ID that corresponds to a specified active node ID.
int | getActiveNodeId (int gridNodeId)
| Retrieve the active node ID that corresponds to a specified grid node ID.
void | getNodeHitCount (const int &nodeId, int &hitCount)
| Retrieve the number of times that the specified node has been 'touched' by a GreatCircle object.
int | getNodeHitCount (const int &nodeId)
void | clearNodeHitCount ()
| Clear the node hit count by setting the hit count of every node to zero.
void | getNodeNeighbors (const int &nid, int neighbors[], int &nNeighbors)
| Retrieve the node IDs of the nodes that surround the specified node.
void | getActiveNodeNeighbors (const int &nid, int neighbors[], int &nNeighbors)
| Retrieve the active node IDs of the nodes that surround the specified active node.
void | getNodeNeighbors (const int &nid, vector< int > &neighbors)
| Retrieve the node IDs of the nodes that surround the specified node.
void | getActiveNodeNeighbors (const int &nid, vector< int > &neighbors)
| Retrieve active the node IDs of the active nodes that surround the specified active node.
void | getNodeNeighborInfo (const int &nid, int neighbors[], double distance[], double azimuth[], int &nNeighbors)
| Retrieve the node IDs of the nodes that surround the specified node.
void | getNodeNeighborInfo (const int nid, vector< int > &neighbors, vector< double > &distance, vector< double > &azimuth)
void | getActiveNodeNeighborInfo (const int &nid, int neighbors[], double distance[], double azimuth[], int &nNeighbors)
| Retrieve the active node IDs of the nodes that surround the specified node.
void | getActiveNodeNeighborInfo (const int &nid, vector< int > &neighbors, vector< double > &distance, vector< double > &azimuth)
| Retrieve the active node IDs of the nodes that surround the specified node.
void | getNodeSeparation (const int &node1, const int &node2, double &distance)
| Retrieve the angular separation of two grid nodes, in radians.
void | getNodeAzimuth (const int &node1, const int &node2, double &azimuth)
| Retrieve the azimuth from grid node1 to grid node2, radians.
GreatCircle * | getGreatCircleObject ()
| Retrieve a pointer to the GreatCircle object.
Grid * | getGridObject ()
| Retrieve a pointer to the Grid object.
GeoTessModelSLBM * | getModelObject ()
| Retrieve a pointer to the GeoTessModelSLBM object.
void | getTravelTimeUncertainty (const int &phase, const double &distance, double &uncert)
| Retrieve the travel time uncertainty in sec for specified phase, distance (in radians).
void | getTravelTimeUncertainty (double &travelTimeUncertainty, bool calcRandomError=false)
| Retrieve travel time uncertainty in sec using the phase and distance specified in last call to getGreatCircle().
void | getTravelTimeUncertainty1D (double &travelTimeUncertainty)
| Retrieve travel time uncertainty in sec using the phase and distance specified in last call to getGreatCircle().
void | getSlownessUncertainty (const int &phase, const double &distance, double &uncert)
| Retrieve the slowness uncertainty in sec/radian for specified phase, distance (in radians).
void | getSlownessUncertainty (double &slownessUncertainty)
| Retrieve uncertainty of the horizontal slowness, in seconds/radian using the phase and distance specified in last call to getGreatCircle().
string | getUncertaintyTable (const int &phase, const int &attribute)
string | getUncertaintyFileFormat (const int &phase, const int &attribute)
void | getZhaoParameters (double &Vm, double &Gm, double &H, double &C, double &Cm, int &udSign)
| Retrieve some of the parameters that contribute to the calculation of of total travel time using the Zhao algorithm.
void | getPgLgComponents (double &tTotal, double &tTaup, double &tHeadwave, double &pTaup, double &pHeadwave, double &trTaup, double &trHeadwave)
| Retrieve information about Pg/Lg travel time calculations.
void | getAverageMantleVelocity (const int &type, double &velocity)
| Retrieve the average P or S wave mantle velocity that is specified in the model input file, in km/sec.
double | getAverageMantleVelocity (const int &type)
void | setAverageMantleVelocity (const int &type, const double &velocity)
| Set the average P or S wave mantle velocity that is recorded in the model input file, in km/sec.
void | getTessId (string &tessId)
| Retrieve the tessellation ID of the model currently in memory.
string | getTessId ()
void | getFractionActive (double &fractionActive)
| Retrieve the fraction of the path length of the current GreatCircle object that is within the currently defined active region.
double | getFractionActive ()
string | getClassCount ()
| Retrieve a table that lists the number of instances of various SLBM classes that are currently instantiated.
const string & | getModelPath () const
| A string containing the path to the SLBM model.
void | getDistAz (const double &aLat, const double &aLon, const double &bLat, const double &bLon, double &distance, double &azimuth, const double &naValue)
| compute distance and azimuth between two points, A and B (all quantities are in radians).
void | movePoint (const double &aLat, const double &aLon, const double &distance, const double &azimuth, double &bLat, double &bLon)
| Find point B that is the specified distance and azimuth from point A, in radians.
void | getPiercePointSource (double &lat, double &lon, double &depth)
| Retrieve the latitude and longitude of the moho pierce point below the source, in radians.
void | getPiercePointReceiver (double &lat, double &lon, double &depth)
| Retrieve the latitude and longitude of the moho pierce point below the receiver, in radians.
void | getGreatCirclePoints (const double &aLat, const double &aLon, const double &bLat, const double &bLon, const int &npoints, double latitude[], double longitude[])
| Retrieve an array of lat, lon points along a great circle path between two specified points, a and b.
void | getGreatCirclePoints (const double &aLat, const double &aLon, const double &bLat, const double &bLon, const int &npoints, vector< double > &latitude, vector< double > &longitude)
void | getGreatCirclePointsOnCenters (const double &aLat, const double &aLon, const double &bLat, const double &bLon, const int &npoints, double latitude[], double longitude[])
| Retrieve an array of lat, lon points along a great circle path between two specified points, a and b.
void | getGreatCirclePointsOnCenters (const double &aLat, const double &aLon, const double &bLat, const double &bLon, const int &npoints, vector< double > &latitude, vector< double > &longitude)
void | setDelDistance (const double &del_distance)
| Change the value of step change in distance used to compute horizontal derivatives(in radians).
void | getDelDistance (double &del_distance)
| Retrieve the value of step change in distance used to compute horizontal derivatives (radians).
double | getDelDistance ()
void | setDelDepth (const double &del_depth)
| Change the value of step change in depth used to compute depth derivatives (km).
void | getDelDepth (double &del_depth)
| Retrieve the value of step change in depth used to compute depth derivatives (km).
double | getDelDepth ()
void | getRayParameter (double &ray_parameter)
| Retrieve the ray parameter.
double | getRayParameter ()
void | getTurningRadius (double &turning_radius)
| Retrieve the turning radius of the ray.
double | getTurningRadius ()
void | setPathIncrement (const double &pathIncrement)
| Set the desired spacing of great circle nodes along the head wave interface, in radians.
void | getPathIncrement (double &pathIncrement)
| Retrieve the current value of the spacing of great circle nodes along the head wave interface, in radians.
double | getPathIncrement ()
| Retrieve the current value of the spacing of great circle nodes along the head wave interface, in radians.
string | getModelString ()
int | getPhaseInt ()
| getter for read-only attributes property getter for read-only attributes property
string | getPhaseString ()
double | getSrcLat ()
| getter for read-only attributes property getter for read-only attributes property
double | getSrcLon ()
| getter for read-only attributes property getter for read-only attributes property
double | getSrcDep ()
| getter for read-only attributes property getter for read-only attributes property
double | getRcvLat ()
| getter for read-only attributes property getter for read-only attributes property
double | getRcvLon ()
| getter for read-only attributes property getter for read-only attributes property
double | getRcvDep ()
| getter for read-only attributes property getter for read-only attributes property

## Static Public Member Functions
static bool | modelsEqual (const string modelPath1, const string modelPath2)
Static Public Member Functions inherited from slbm::SlbmInterface
static bool | modelsEqual (const string modelPath1, const string modelPath2)
| Check if two models are equal.
static void | setCHMax (const double &chMax)
| Set the value of chMax. c is the zhao c parameter and h is the turning depth of the ray below the moho. Zhao method only valid for c*h << 1. When c*h > chMax, then slbm will throw an exception.
static void | getCHMax (double &chMax)
| Retrieve the current value of chMax. c is the zhao c parameter and h is the turning depth of the ray below the moho. Zhao method only valid for c*h << 1. When c*h > chMax, then slbm will throw an exception.
static double | getCHMax ()
static void | setMaxDistance (const double &maxDistance)
| Set the maximum source-receiver separation for Pn/Sn phase, in radians.
static void | getMaxDistance (double &maxDistance)
| Retrieve the current value for the maximum source-receiver separation, in radians.
static double | getMaxDistance ()
static void | setMaxDepth (const double &maxDepth)
| Set the maximum source depth for Pn/Sn phase, in km.
static void | getMaxDepth (double &maxDepth)
| Retrieve the current value for the maximum source depth, in km.
static double | getMaxDepth ()

## Additional Inherited Members
Protected Member Functions inherited from slbm::SlbmInterface
void | clearGreatCircles ()
Protected Attributes inherited from slbm::SlbmInterface
Grid * | grid
| The Grid object that stores the velocity model.
GreatCircle * | greatCircle
| The most recently requested GreatCircle object.
bool | valid
| true if the current GreatCirlce object has been instantiated and is ready to be interrogated.
Static Protected Attributes inherited from slbm::SlbmInterface
static double | CH_MAX

## Detailed Description

Adds functionality to SlbmInterface to support the Java Native Interface (JNI). The JNI allows libSLBM to be accessed using programs written in the Java programing language.

Adds functionality to SlbmInterface to support the Java Native Interface (JNI). The JNI allows libSLBM to be accessed using programs written in the Java programing language. All of the methods defined in this class should only be accessed by SLBM_JNI/SlbmInterface.cc. It is not envisioned that other applications will access this class directly.

Definition at line 66 of file SlbmInterfaceToJNI.h.

## Constructor & Destructor Documentation

## ◆ SlbmInterfaceToJNI() [1/2]

slbm::SlbmInterfaceToJNI::SlbmInterfaceToJNI | ( |  | ) |

Default constructor.

Default constructor.

## ◆ SlbmInterfaceToJNI() [2/2]

slbm::SlbmInterfaceToJNI::SlbmInterfaceToJNI | ( | const double & | earthRadius | ) |

## ◆ ~SlbmInterfaceToJNI()

slbm::SlbmInterfaceToJNI::~SlbmInterfaceToJNI | ( |  | ) |

Destructor.

Destructor.

## Member Function Documentation

## ◆ accessGridNodeNeighbors()

void slbm::SlbmInterfaceToJNI::accessGridNodeNeighbors | ( | int | nid | ) |

## ◆ accessGridProfile()

void slbm::SlbmInterfaceToJNI::accessGridProfile | ( | const int & | nodeId | ) |
| inline

Definition at line 258 of file SlbmInterfaceToJNI.h.

## ◆ computeGreatCircleLocations()

void slbm::SlbmInterfaceToJNI::computeGreatCircleLocations | ( |  | ) |
| inline

Definition at line 230 of file SlbmInterfaceToJNI.h.

## ◆ computeGreatCirclePoints()

void slbm::SlbmInterfaceToJNI::computeGreatCirclePoints | ( | const double & | aLat,
|  | const double & | aLon,
|  | const double & | bLat,
|  | const double & | bLon,
|  | const int & | npoints,
|  | const bool & | onCenters )
| inline

Definition at line 195 of file SlbmInterfaceToJNI.h.

## ◆ computeWeights()

void slbm::SlbmInterfaceToJNI::computeWeights | ( |  | ) |
| inline

Definition at line 348 of file SlbmInterfaceToJNI.h.

## ◆ computeWeightsReceiver()

void slbm::SlbmInterfaceToJNI::computeWeightsReceiver | ( |  | ) |
| inline

Definition at line 431 of file SlbmInterfaceToJNI.h.

## ◆ computeWeightsSource()

void slbm::SlbmInterfaceToJNI::computeWeightsSource | ( |  | ) |
| inline

Definition at line 426 of file SlbmInterfaceToJNI.h.

## ◆ createQueryProfile()

void slbm::SlbmInterfaceToJNI::createQueryProfile | ( | const double & | lat,
|  | const double & | lon )
| inline

Definition at line 305 of file SlbmInterfaceToJNI.h.

## ◆ deleteGreatCirclePoints()

void slbm::SlbmInterfaceToJNI::deleteGreatCirclePoints | ( |  | ) |
| inline

Definition at line 163 of file SlbmInterfaceToJNI.h.

## ◆ deleteGridProfile()

void slbm::SlbmInterfaceToJNI::deleteGridProfile | ( |  | ) |

## ◆ deleteQueryProfile()

void slbm::SlbmInterfaceToJNI::deleteQueryProfile | ( |  | ) |
| inline

Definition at line 312 of file SlbmInterfaceToJNI.h.

## ◆ deleteWeights()

void slbm::SlbmInterfaceToJNI::deleteWeights | ( |  | ) |
| inline

Definition at line 127 of file SlbmInterfaceToJNI.h.

## ◆ getActualPathIncrement()

double slbm::SlbmInterfaceToJNI::getActualPathIncrement | ( |  | ) |
| inline

Definition at line 359 of file SlbmInterfaceToJNI.h.

## ◆ getGreatCircleCoefficients()

void slbm::SlbmInterfaceToJNI::getGreatCircleCoefficients | ( | const int & | i,
|  | double * | coeff,
|  | int & | size )
| inline

Definition at line 369 of file SlbmInterfaceToJNI.h.

## ◆ getGreatCircleHeadwaveGradient()

void slbm::SlbmInterfaceToJNI::getGreatCircleHeadwaveGradient | ( | vector< double > & | gradients | ) |
| inline

Definition at line 405 of file SlbmInterfaceToJNI.h.

## ◆ getGreatCircleHeadwaveVelocity()

void slbm::SlbmInterfaceToJNI::getGreatCircleHeadwaveVelocity | ( | vector< double > & | velocities | ) |
| inline

Definition at line 398 of file SlbmInterfaceToJNI.h.

## ◆ getGreatCircleNeighbors()

void slbm::SlbmInterfaceToJNI::getGreatCircleNeighbors | ( | const int & | i,
|  | int * | nodeIds,
|  | int & | size )
| inline

Definition at line 364 of file SlbmInterfaceToJNI.h.

## ◆ getGreatCirclePhase()

string slbm::SlbmInterfaceToJNI::getGreatCirclePhase | ( |  | ) |
| inline

Definition at line 354 of file SlbmInterfaceToJNI.h.

## ◆ getGreatCirclePointsDepth()

const vector< double > & slbm::SlbmInterfaceToJNI::getGreatCirclePointsDepth | ( |  | ) |
| inline

Definition at line 170 of file SlbmInterfaceToJNI.h.

## ◆ getGreatCirclePointsLat()

const vector< double > & slbm::SlbmInterfaceToJNI::getGreatCirclePointsLat | ( |  | ) |
| inline

Definition at line 166 of file SlbmInterfaceToJNI.h.

## ◆ getGreatCirclePointsLon()

const vector< double > & slbm::SlbmInterfaceToJNI::getGreatCirclePointsLon | ( |  | ) |
| inline

Definition at line 168 of file SlbmInterfaceToJNI.h.

## ◆ getGreatCircleReceiverDepth()

void slbm::SlbmInterfaceToJNI::getGreatCircleReceiverDepth | ( | double * | depths,
|  | int & | n )
| inline

Definition at line 380 of file SlbmInterfaceToJNI.h.

## ◆ getGreatCircleReceiverVelocity()

double * slbm::SlbmInterfaceToJNI::getGreatCircleReceiverVelocity | ( | int & | n | ) |
| inline

Definition at line 392 of file SlbmInterfaceToJNI.h.

## ◆ getGreatCircleSourceDepth()

void slbm::SlbmInterfaceToJNI::getGreatCircleSourceDepth | ( | double * | depths,
|  | int & | n )
| inline

Definition at line 374 of file SlbmInterfaceToJNI.h.

## ◆ getGreatCircleSourceVelocity()

double * slbm::SlbmInterfaceToJNI::getGreatCircleSourceVelocity | ( | int & | n | ) |
| inline

Definition at line 386 of file SlbmInterfaceToJNI.h.

## ◆ getGridDepth()

void slbm::SlbmInterfaceToJNI::getGridDepth | ( | vector< double > & | depths | ) |
| inline

Definition at line 274 of file SlbmInterfaceToJNI.h.

## ◆ getGridGradient()

void slbm::SlbmInterfaceToJNI::getGridGradient | ( | double * | gradient | ) |
| inline

Definition at line 284 of file SlbmInterfaceToJNI.h.

## ◆ getGridLat()

double slbm::SlbmInterfaceToJNI::getGridLat | ( |  | ) |
| inline

Definition at line 263 of file SlbmInterfaceToJNI.h.

## ◆ getGridLon()

double slbm::SlbmInterfaceToJNI::getGridLon | ( |  | ) |
| inline

Definition at line 268 of file SlbmInterfaceToJNI.h.

## ◆ getGridVelocity()

void slbm::SlbmInterfaceToJNI::getGridVelocity | ( | const int & | waveType,
|  | double * | velocity )
| inline

Definition at line 279 of file SlbmInterfaceToJNI.h.

## ◆ getNGridNodes()

int slbm::SlbmInterfaceToJNI::getNGridNodes | ( |  | ) |
| inline

Definition at line 412 of file SlbmInterfaceToJNI.h.

## ◆ getNHeadWavePoints()

int slbm::SlbmInterfaceToJNI::getNHeadWavePoints | ( |  | ) |
| inline

Definition at line 419 of file SlbmInterfaceToJNI.h.

## ◆ getPhase()

string slbm::SlbmInterfaceToJNI::getPhase | ( |  | ) |
| inline

Definition at line 245 of file SlbmInterfaceToJNI.h.

## ◆ getQueryCoefficient()

vector< double > & slbm::SlbmInterfaceToJNI::getQueryCoefficient | ( |  | ) |
| inline

Definition at line 328 of file SlbmInterfaceToJNI.h.

## ◆ getQueryDepth()

double * slbm::SlbmInterfaceToJNI::getQueryDepth | ( |  | ) |
| inline

Definition at line 333 of file SlbmInterfaceToJNI.h.

## ◆ getQueryGradient()

double * slbm::SlbmInterfaceToJNI::getQueryGradient | ( |  | ) |
| inline

Definition at line 343 of file SlbmInterfaceToJNI.h.

## ◆ getQueryNCoefficients()

int slbm::SlbmInterfaceToJNI::getQueryNCoefficients | ( |  | ) |
| inline

Definition at line 318 of file SlbmInterfaceToJNI.h.

## ◆ getQueryNodeId()

vector< int > & slbm::SlbmInterfaceToJNI::getQueryNodeId | ( |  | ) |
| inline

Definition at line 323 of file SlbmInterfaceToJNI.h.

## ◆ getQueryVelocity()

double * slbm::SlbmInterfaceToJNI::getQueryVelocity | ( | const int & | waveType | ) |
| inline

Definition at line 338 of file SlbmInterfaceToJNI.h.

## ◆ getWeightNodes()

const vector< int > & slbm::SlbmInterfaceToJNI::getWeightNodes | ( |  | ) |
| inline

Definition at line 129 of file SlbmInterfaceToJNI.h.

## ◆ getWeights()

const vector< double > & slbm::SlbmInterfaceToJNI::getWeights | ( |  | ) |
| inline

Definition at line 131 of file SlbmInterfaceToJNI.h.

## ◆ modelsEqual()

bool slbm::SlbmInterfaceToJNI::modelsEqual | ( | const string | modelPath1,
|  | const string | modelPath2 )
| static

Definition at line 436 of file SlbmInterfaceToJNI.h.

The documentation for this class was generated from the following file:

- rstt_v3.2.1/SLBM/include/SlbmInterfaceToJNI.h